%global srcname testscenarios

Name:           python-%{srcname}
Version:        0.5.0
Release:        %mkrel 3
Summary:        A pyunit extension for dependency injection
Group:          Development/Python
License:        ASL2.0 or BSD
URL:            https://launchpad.net/testrepository
Source0:        https://pypi.python.org/packages/source/t/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
testscenarios provides clean dependency injection for python unittest
style tests. This can be used for interface testing (testing many
implementations via a single test suite) or for classic dependency
injection (provide tests with dependencies externally to the test
code itself, allowing easy testing in different situations).

%package -n     python3-%{srcname}
Summary:        A pyunit extension for dependency injection
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{srcname}
testscenarios provides clean dependency injection for python unittest
style tests. This can be used for interface testing (testing many
implementations via a single test suite) or for classic dependency
injection (provide tests with dependencies externally to the test
code itself, allowing easy testing in different situations).

This is the Python 3 version of the package.

%prep
%setup -q -n %{srcname}-%{version}

# Remove bundled egg-info
rm -rf %{srcname}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%doc AUTHORS ChangeLog NEWS README
%{python2_sitelib}/*

%files -n python3-%{srcname}
%doc AUTHORS ChangeLog NEWS README
%{python3_sitelib}/*


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 0.5.0-3.mga6
+ Revision: 971231
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 daviddavid <daviddavid> 0.5.0-2.mga6
+ Revision: 889846
- add python3 package
- use new python macros
- add doc files

* Mon Aug 31 2015 fwang <fwang> 0.5.0-1.mga6
+ Revision: 871512
- upload source
- add spec file

  + bcornec <bcornec>
    - Created package structure for python-testscenarios.

